Hermos API

List Events

Published merchant events in increasing publication sequence. Use after or a signed cursor; type accepts comma-separated types and created bounds are UTC timestamps.

GET/events

Published merchant events in increasing publication sequence. Use after or a signed cursor; type accepts comma-separated types and created bounds are UTC timestamps.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

cursor?string

Opaque signed cursor. Return it unchanged; valid for 24 hours.

Length1 <= length <= 8192
limit?integer
Range1 <= value <= 100
Default50
after?string
Match^\d+$
type?string
Length1 <= length <= 20000
created[gte]?string

RFC 3339 UTC timestamp; only the Z suffix is accepted.

Formatdate-time
created[lt]?string

RFC 3339 UTC timestamp; only the Z suffix is accepted.

Formatdate-time

Response Body

application/json

application/json

curl -X GET "https://example.com/events"
{  "data": [    {      "id": "string",      "object": "event",      "type": "string",      "api_version": "string",      "livemode": true,      "sequence": 0,      "created_at": "2019-08-24T14:15:22Z",      "object_type": "string",      "object_id": "string",      "object_version": 0,      "historical": true,      "payload": {},      "payload_expired": true,      "class": "fact",      "occurred_at": "2019-08-24T14:15:22Z",      "occurred_at_source": "transition"    }  ],  "pagination": {    "next_cursor": "string",    "has_more": true,    "as_of": "2019-08-24T14:15:22Z"  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "source": "primary"}